Subject: Why doesn't git rebase --interactive --preserve-merges continue past known conflicts?

From: "David D. Kilzer" <[email-masked]>
Date: Fri, 31 Dec 2010 11:30:46 -0800 (PST)

When I run "git rebase --interactive --preserve-merges" on a sequence of 
commits, edit an earlier commit, then run "git rebase --continue", the rebase 
operation always stops on a merge commit with a known conflict (in the rr-cache) 
instead of resolving it and continuing.

As long as I'm not rearranging commits, I expect git-rebase to resolve the known 
merge commit conflict and continue.  Why does it always stop?

I've attached a simple test case that demonstrates this behavior.

Dave